{
  description = "An advanced text editor for script writers working professionally in film, novel, theatre, radio or writing for comic books.";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs = {
    self,
    nixpkgs,
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};

    name = "starc";
    version = "0.6.4";
  in {
    packages.${system} = {
      default = pkgs.appimageTools.wrapType1 {
        inherit name;

        src = pkgs.fetchurl {
          url = "https://github.com/story-apps/starc/releases/download/v${version}/starc-setup.AppImage";
          sha256 = "sha256-KLawvuLyqd7aPidH3ghr7mLl9NFQ7nduhnxAq0RpToQ=";
        };
      };
    };
  };
}
